/*
 *
 * [desc.]
 */
#include "Tools/Viewer/Bdd/include/Port.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     
    
  void Port::setComment(string s){
    comment=s;
  }
  
  
  string Port::getComment(){ return comment;}
  string Port::getName(){ return name;}
  
  int Port::get_x(){return pos_x;}
  int Port::get_y(){return pos_y;}
  
  void Port::set_x(int v){pos_x=v;}
  void Port::set_y(int v){pos_y=v;}

  string Port::getLocalisation(){
    return localisation;
  }
  
  string Port::getDirection(){
    return direction;
  }
      
};//end bdd
};//end viewer
};//end tools
};//end morpheo
